This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 24843 - Nanny tries to execute "none"
Summary: Nanny tries to execute "none"
Status: CLOSED ERRATA
Alias: None
Product: Red Hat High Availability Server
Classification: Retired
Component: piranha (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: Phil Copeland
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-24 13:17 UTC by Tinus Strauss
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-24 13:17:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Red Hat Bugzilla 2001-01-24 13:17:07 UTC
Hi,

I configured nanny to use none as the loadCommand, assuming that it 
will not try to determine the load of the real servers. However, nanny tries 
to execute the command "none" which it cannot find.

The following change to nanny from piranha-0.4.17-7 fixed it for me:

--- nanny.c.orig        Wed Jan 24 10:53:17 2001
+++ nanny.c.new Wed Jan 24 14:08:53 2001
@@ -781,7 +781,7 @@
     *argp++ = loadCommand;
     *argp++ = inet_ntoa(*remoteAddr);

-    if (strcmp(loadCommand, (char *) "none"))
+    if (strcmp(loadCommand, (char *) "none") == 0)
        return -1.0; /* nothing to see here, go home silently */

     if (strcmp(loadCommand, (char *) "rup"))
[

Cheers
Tinus

Comment 1 Red Hat Bugzilla 2001-05-07 20:14:55 UTC
Patch has been applied to nanny and will appear in a future update.

Thanks!




Note You need to log in before you can comment on or make changes to this bug.